/* 
   Affix - Bluetooth Protocol Stack for Linux
   Copyright (C) 2001 Nokia Corporation
   Original Author:Guruprasad Krishnamurthy <guruprasad.krishnamurthy@nokia.com>

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
   $Id: attr.h,v 1.1.1.1 2002/07/11 11:21:57 kds Exp $

   Fixes:     Guruprasad Krishnamurthy <guruprasad.krishnamurthy@nokia.com>
*/
	 
#ifndef SDP_DYN_ATTR_H
#define SDP_DYN_ATTR_H

#include <stdio.h>
#include <stdlib.h>
#include <glib.h>

#include <affix/sdp.h>
#include "pdu.h"

int generatePDUForm(
  PDUForm *pduForm,
  SDPData *pData
);
         
void setSequenceLength(
  char *ptr,
  int length
);

SDPData *createSDPData(
  DataTypeDescriptor dtd,
  char *pValue
);

SDPData *createSDPDataSequence(
  GPtrArray *pDataTypeDescPtrArray,
  GPtrArray *pDataValuePtrArray
);

int addSDPAlternateData(
  SDPData *pOriginalValue,
  SDPData *pAlternateValue
);

int createSDPAttribute(
  ServiceRecord *svcRec,
  ServiceAttributeIdentifier attrId,
  SDPData *pSDPData
);

void removeSDPAttribute(
  ServiceRecord *svcRec,
  ServiceAttributeIdentifier attrId
);

void generateServiceRecordPduForm(
  ServiceRecord *svcRec
);

void addSDPDataToSequence(
  SDPData *pSequence,
  SDPData *pSDPData
);

void attrPduForm(gpointer value, gpointer data);

int addToAttributeList(
  ServiceRecord *svcRec,
  ServiceAttributeIdentifier attrId,
  SDPData *pSDPData,
  int replaceFlag
);

#endif // SDP_DYN_ATTR_H
