/* 
   Affix - Bluetooth Protocol Stack for Linux
   Copyright (C) 2001 Nokia Corporation
   Original Author:Guruprasad Krishnamurthy <guruprasad.krishnamurthy@nokia.com>

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
   $Id: match.h,v 1.1.1.1 2002/07/11 11:21:57 kds Exp $

   Contains methods to drive service matching based on UUIDs
   and the necessary comparison function
 
   Fixes:     Guruprasad Krishnamurthy <guruprasad.krishnamurthy@nokia.com>
*/

#ifndef SDP_MATCHMAKER_H
#define SDP_MATCHMAKER_H

#include <glib.h>

/*
** Given a sequence of UUIDs, find the service records
** which contain all of the UUIDs in the sequence.
** All the UUIDs must exist in some attribute of the
** service record, else it is not a match
**
** Return a GList containing the service record handles
** which matched.
*/
gint compareFunction(gconstpointer a, gconstpointer b);

gboolean matchUUID(GSList *searchPattern, GSList *targetPattern);
gboolean matchAnyUUID(GSList *searchPattern, GSList *targetPattern);

#endif //SDP_MATCHMAKER_H
