/* 
   Affix - Bluetooth Protocol Stack for Linux
   Copyright (C) 2001 Nokia Corporation
   Original Author:Guruprasad Krishnamurthy <guruprasad.krishnamurthy@nokia.com>

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
   $Id: pdu.h,v 1.1.1.1 2002/07/11 11:21:57 kds Exp $

   This file contains the methods used to generate PDU (Protocol
   Descriptor Unit) form for the SDP attributes

   Fixes:     Guruprasad Krishnamurthy <guruprasad.krishnamurthy@nokia.com>
*/

#ifndef SDP_GEN_PDU_H
#define SDP_GEN_PDU_H

#include <affix/sdp.h>

#define SDP_PDU_CHUNK_SIZE 1024

void setSequenceLengthPDU(PDUForm *pduForm);
int appendToPduForm(PDUForm *dst, PDUForm *src);

void generateServiceRecordPduFormById(
  ServiceRecord *svcRec,
  ServiceAttributeIdentifier attrId,
  PDUForm *attrSubsetPduForm
);       

#endif //SDP_GEN_PDU_H
