/* 
   Affix - Bluetooth Protocol Stack for Linux
   Copyright (C) 2001 Nokia Corporation
   Original Author:Guruprasad Krishnamurthy <guruprasad.krishnamurthy@nokia.com>

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
   $Id: queue.h,v 1.1.1.1 2002/07/11 11:21:57 kds Exp $

   Internal request queue defintions and methods for it's use

   Fixes:     Guruprasad Krishnamurthy <guruprasad.krishnamurthy@nokia.com>
*/

#ifndef SDP_REQUEST_H
#define SDP_REQUEST_H

#include <pthread.h>

#include <affix/sdp.h>

/*
** Setup the queue and initialize data structures
*/
int initQueue(void);

int addEntryToRequestQueue(SDPRequest *sdpRequest);

/*
** Take the first entry from the queue.
** Usually called by the "free" worker thread
*/
SDPRequest *removeFirstEntry(void);

/*
** Find the number entries in the queue
*/
int queueLength(void);

/*
** Cleanup queue contents
** Called when server is about to shutdown
*/
void flushQueue(void);

#endif //SDP_REQUEST_H
