/* 
   Affix - Bluetooth Protocol Stack for Linux
   Copyright (C) 2001 Nokia Corporation
   Original Author:Guruprasad Krishnamurthy <guruprasad.krishnamurthy@nokia.com>

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
   $Id: request.h,v 1.1.1.1 2002/07/11 11:21:57 kds Exp $

   Contains the top level method which drives the processing
   of a valid SDP request

   Fixes:     Guruprasad Krishnamurthy <guruprasad.krishnamurthy@nokia.com>
*/
	 
#ifndef SDP_PROCESS_REQUEST_H
#define SDP_PROCESS_REQUEST_H

#include <affix/sdp.h>


int handleServiceRegistrationRequest(SDPRequest *sdpReq, PDUForm *response);
int handleServiceUpdateRequest(SDPRequest *sdpReq, PDUForm *response);
int handleServiceRemovalRequest(SDPRequest *sdpReq, PDUForm *response);

void processRequest(SDPRequest *request);

#endif //SDP_PROCESS_REQUEST_H
